[LEDE-DEV] issue in mac80211.sh

Message ID acdea515-640a-62de-afa6-45bb57654da2@gmail.com
State RFC
Headers show
Series
  • [LEDE-DEV] issue in mac80211.sh
Related show

Commit Message

e9hack Oct. 7, 2017, 7:03 a.m.
Hi,

for my own modifications, I need an unique file name for some wlan interfaces in hostapd_set_bss_options() from
hostapd.sh. Usually this function shall get the virtual interface name as the 3rd parameter, but this function is called
with too less parameters in mac80211_hostapd_setup_bss() from mac80211.sh. Since vif isn't available in
mac80211_hostapd_setup_bss(), I'm using ifname.


It would be nice, if someone can fix this.

Regards,
Hartmut

Patch

--- a/package/kernel/mac80211/files/lib/netifd/wireless/mac80211.sh
+++ b/package/kernel/mac80211/files/lib/netifd/wireless/mac80211.sh
@@ -319,7 +319,7 @@  mac80211_hostapd_setup_bss() {
 	hostapd_cfg=
 	append hostapd_cfg "$type=$ifname" "$N"

-	hostapd_set_bss_options hostapd_cfg "$vif" || return 1
+	hostapd_set_bss_options hostapd_cfg "$phy" "$ifname" || return 1
 	json_get_vars wds dtim_period max_listen_int start_disabled

 	set_default wds 0